<template>
    <section>
        <div class="container">
            <div class="row12 d-flex justify-content-center align-content-center">
                <h1 class="col-xl-"> Mes Projets </h1>
            </div>
            <div v-if="loading">
            </div>
            <ul v-else class="card_center d-flex flex-row flex-wrap justify-content-center">
                <li class="col-12 col-md-4 col-lg-3 list-project-album" v-for="projet in projets" v-bind:key="projet.name">
                    <div class="card card_projet" v-if="projet.show == 1">
                        <img :src="projet.img" class="card-img-top" :alt="projet.name">
                        <div class="card-body">
                            <h5 class="card-title"> {{ projet.name }} </h5>
                            <p class="card-text"> {{ projet.description }}</p>
                            <p>Compétences utilisés</p>
                            <p class="card-text" > <span v-for="competence in projet.competences" v-bind:key="competence.name" class="project-competence" > <img class="logo" :src="competence.logo" :alt="competence.name" /> </span></p>
                            <a :href="projet.url" target="_blank"  class="btn btn-primary card_btn"> Voir le site !</a>
                        </div>
                    </div>
                </li>
            </ul>
            <div class="btn-center">
                <button class="btn btn-primary" v-on:click="Portfolio()">  Retour </button>
            </div>
        </div>
    </section>
</template>

<style scoped>
    .logo{
        max-width: 25px!important;
        height: auto;
    }
</style>

<script>

export default {
    data(){
        return{
            loading: true,
            projets: '',
        }
    },
    created:function(){
        this.getProjets();
        this.loading = false;
    },
    methods:{
        getProjets:function(){
            var vue = this;
            this.$axios({
                method: 'GET',
                url: '/portfolio/projects',
                dataType:'JSON',}).then(response => {vue.projets = response.data})
        },
        Portfolio:function(){
            return this.$router.push({name:'portfolio'})
        }
    }
}
</script>
